Dim ID_SPLITTER             = wxID_HIGHEST + 1

Dim frame as wxFrame = new wxFrame(Nothing, 1, "Splitter Test", wxPoint(-1, -1), wxSize(640, 480))
Dim splitterMain as wxSplitterWindow = new wxSplitterWindow(frame, ID_SPLITTER, wxPoint(-1,  -1), wxSize(-1, -1), wxSP_3DBORDER)

Dim panel1 as wxPanel = new wxPanel(splitterMain, -1)
Dim panel2 as wxPanel = new wxPanel(splitterMain, -1)

splitterMain.SetMinimumPaneSize(5)
splitterMain.SplitVertically(panel1, panel2, 20)

Connect(splitterMain, ID_SPLITTER, wxEVT_COMMAND_SPLITTER_SASH_POS_CHANGING, "onSplitterPosChange")

Sub onSplitterPosChange(event)
    // do something
End Sub 
